package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 导入人员信息对象 user_info
 * 
 * @author ruoyi
 * @date 2022-08-11
 */
public class UserInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    @Excel(name = "比对结果")
    private String detectionResult;

    /** 性别 */
    private String gender;

    /** 年龄 */
    private Integer age;

    /** 身份证号码 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 手机号 */
    @Excel(name = "手机号码")
    private String phoneNum;

    /** 部门id */
    private String deptId;


    /** 采集地点 */
    @Excel(name = "采集地点")
    private String collectPlace;

    /** 核酸采集时间 */
    @Excel(name = "核酸采集时间")
    private String nucleicCollectTime;

    /** 核酸结果时间 */
    @Excel(name = "核酸结果时间")
    private String nucleicResultsTime;

    /** 核酸结果 */
    @Excel(name = "核酸结果")
    private String nucleicResults;

    /** 职业类别 */
    @Excel(name = "职业类别")
    private String jobStyle;

    /** 重点人群分类 */
    @Excel(name = "重点人群分类")
    private String focusCrowdStyle;

    /** 检测频次(汉字拼接后） */
    @Excel(name = "检测频次（次/天）")
    private String detectionFrequency;

    /** 检测频次（次数） */
    private String detectionNumber;

    /** 检测频次（时间范围） */
    private String detectionScope;

    /** 检测进度 */
    @Excel(name = "进度(已做核酸次数/频次)")
    private String detectionProgress;

    /** 部门名称 */
    private String deptName;

    /** 比对开始时间 */
    @Excel(name = "比对开始时间")
    private String startTime;

    /** 比对结束时间 */
    @Excel(name = "比对结束时间")
    private String endTime;

    public String getNucleicResults() {
        return nucleicResults;
    }

    public String getDetectionResult() {
        return detectionResult;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getDetectionProgress() {
        return detectionProgress;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setAge(Integer age) 
    {
        this.age = age;
    }

    public Integer getAge() 
    {
        return age;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setPhoneNum(String phoneNum) 
    {
        this.phoneNum = phoneNum;
    }

    public String getPhoneNum() 
    {
        return phoneNum;
    }
    public void setNucleicCollectTime(String nucleicCollectTime) 
    {
        this.nucleicCollectTime = nucleicCollectTime;
    }

    public String getNucleicCollectTime() 
    {
        return nucleicCollectTime;
    }
    public void setNucleicResultsTime(String nucleicResultsTime) 
    {
        this.nucleicResultsTime = nucleicResultsTime;
    }

    public String getNucleicResultsTime() 
    {
        return nucleicResultsTime;
    }
    public void setJobStyle(String jobStyle) 
    {
        this.jobStyle = jobStyle;
    }

    public String getJobStyle() 
    {
        return jobStyle;
    }
    public void setFocusCrowdStyle(String focusCrowdStyle) 
    {
        this.focusCrowdStyle = focusCrowdStyle;
    }

    public String getFocusCrowdStyle() 
    {
        return focusCrowdStyle;
    }
    public void setDetectionFrequency(String detectionFrequency) 
    {
        this.detectionFrequency = detectionFrequency;
    }

    public String getDetectionFrequency() 
    {
        return detectionFrequency;
    }
    public void setDetectionNumber(String detectionNumber) 
    {
        this.detectionNumber = detectionNumber;
    }

    public String getDetectionNumber() 
    {
        return detectionNumber;
    }
    public void setDetectionScope(String detectionScope) 
    {
        this.detectionScope = detectionScope;
    }

    public String getDetectionScope() 
    {
        return detectionScope;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setStartTime(String startTime) 
    {
        this.startTime = startTime;
    }

    public String getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(String endTime) 
    {
        this.endTime = endTime;
    }

    public String getEndTime() 
    {
        return endTime;
    }

    public String getCollectPlace() {
        return collectPlace;
    }

    public void setCollectPlace(String collectPlace) {
        this.collectPlace = collectPlace;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public void setDetectionResult(String detectionResult) {
        this.detectionResult = detectionResult;
    }

    public void setDetectionProgress(String detectionProgress) {
        this.detectionProgress = detectionProgress;
    }

    public void setNucleicResults(String nucleicResults) {
        this.nucleicResults = nucleicResults;
    }

    @Override
    public String toString() {
        return "UserInfo{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", detectionResult='" + detectionResult + '\'' +
                ", gender='" + gender + '\'' +
                ", age=" + age +
                ", idCard='" + idCard + '\'' +
                ", phoneNum='" + phoneNum + '\'' +
                ", deptId='" + deptId + '\'' +
                ", collectPlace='" + collectPlace + '\'' +
                ", nucleicCollectTime='" + nucleicCollectTime + '\'' +
                ", nucleicResultsTime='" + nucleicResultsTime + '\'' +
                ", nucleicResults='" + nucleicResults + '\'' +
                ", jobStyle='" + jobStyle + '\'' +
                ", focusCrowdStyle='" + focusCrowdStyle + '\'' +
                ", detectionFrequency='" + detectionFrequency + '\'' +
                ", detectionNumber='" + detectionNumber + '\'' +
                ", detectionScope='" + detectionScope + '\'' +
                ", detectionProgress='" + detectionProgress + '\'' +
                ", deptName='" + deptName + '\'' +
                ", startTime='" + startTime + '\'' +
                ", endTime='" + endTime + '\'' +
                '}';
    }
}
